summaryrefslogtreecommitdiffstats
path: root/abs/extra
diff options
context:
space:
mode:
authorBritney Fransen <brfransen@gmail.com>2019-02-27 21:54:26 (GMT)
committerBritney Fransen <brfransen@gmail.com>2019-02-27 21:54:26 (GMT)
commit077a9d35aaa277c0c860f559aa16fc19e01f9332 (patch)
treecd80417ef01eb048ee638692e888d174ebf6ff60 /abs/extra
parent604c2eefa5c2eead0316eaf2ea05aa31bb4381d4 (diff)
downloadlinhes_pkgbuild-077a9d35aaa277c0c860f559aa16fc19e01f9332.zip
linhes_pkgbuild-077a9d35aaa277c0c860f559aa16fc19e01f9332.tar.gz
linhes_pkgbuild-077a9d35aaa277c0c860f559aa16fc19e01f9332.tar.bz2
google-chrome: update to 72.0.3626.119
Diffstat (limited to 'abs/extra')
-rwxr-xr-xabs/extra/google-chrome/update_version.sh31
1 files changed, 31 insertions, 0 deletions
diff --git a/abs/extra/google-chrome/update_version.sh b/abs/extra/google-chrome/update_version.sh
new file mode 100755
index 0000000..0a11328
--- /dev/null
+++ b/abs/extra/google-chrome/update_version.sh
@@ -0,0 +1,31 @@
+#!/bin/bash
+set -euxo pipefail
+
+# Get channel
+CHANNEL=$(awk -F '=' '/^_channel/{ print $2 }' PKGBUILD)
+PKG="google-chrome-${CHANNEL}"
+
+# Get latest version
+VER=$(curl -sL "https://dl.google.com/linux/chrome/rpm/stable/x86_64/repodata/other.xml.gz" | gzip -df |
+ tr ' ' '\n' | grep -e name= -e ver= | cut -d '"' -f2 | sed 'N;s/\n/ /' |
+ grep "${PKG}" | cut -d ' ' -f 2)
+
+# Insert latest version into PKGBUILD and update hashes
+sed -i \
+ -e "s/^pkgver=.*/pkgver=${VER}/" \
+ -e 's/pkgrel=.*/pkgrel=1/' \
+ PKGBUILD
+updpkgsums
+
+# Check whether this changed anything
+if (git diff --exit-code PKGBUILD); then
+ echo "Package ${PKG} has most recent version ${VER}"
+ exit 0
+fi
+
+# Update .SRCINFO
+makepkg --printsrcinfo >.SRCINFO
+
+# Commit changes
+git add PKGBUILD .SRCINFO
+git commit -m "${PKG} v${VER}"